#!/usr/bin/python
from glob import glob
from apport.hookutils import (attach_related_packages,
    command_output, recent_syslog)
import os
import re

def add_info(report, ui):
    # get info on all files in /var/crash/
    reports = glob('/var/crash/*')
    if reports:
        report['CrashReports'] = command_output(
            ['stat', '-c', '%a:%u:%g:%s:%y:%x:%n'] + reports)

    attach_related_packages(report, ['apport-noui'])
    # is the system set to autoreport crashes?
    if os.path.exists('/var/lib/apport/autoreport'):
        report['Tags'] += 'autoreport-true'
    else:
        report['Tags'] += 'autoreport-false'

    report['WhoopsieLog'] = recent_syslog(re.compile('whoopsie'))
